## org.jfree.data
Interface TableXYDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Implementing Classes:
  CategoryTableXYDataset, DefaultTableXYDataset, JDBCXYDataset, TimeTableXYDataset

public interface TableXYDataset
extends XYDataset

A dataset containing one or more data series containing (x, y) data items, where all series in the dataset share the same set of x-values. This is a restricted form of the `XYDataset` interface (which allows independent x-values between series). This is used primarily by the `StackedXYAreaRenderer`.

Method Summary
`int` `getItemCount()` Returns the number of items every series.

Methods inherited from interface org.jfree.data.XYDataset
`getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.SeriesDataset
`getSeriesCount, getSeriesName`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getItemCount

    public int getItemCount()

  Returns the number of items every series.

  Returns:
    the item count.